<?php
/**
 * Aliases for the Special:MyLanguage of Translate extension.
 * This is a backwards compatibility file that separates the translations
 * in the extension from the translations of the same page's name
 * in core MediaWiki. For more information see the following bug:
 * https://phabricator.wikimedia.org/T71461
 *
 * @file
 * @license GPL-2.0+
 */
// @codingStandardsIgnoreFile

$specialPageAliases = array();

/** English (English) */
$specialPageAliases['en'] = array(
	'MyLanguage' => array( 'MyLanguage' ),
);

/** Afrikaans (Afrikaans) */
$specialPageAliases['af'] = array(
	'MyLanguage' => array( 'MyTaal' ),
);

/** Arabic (العربية) */
$specialPageAliases['ar'] = array(
	'MyLanguage' => array( 'لغتي' ),
);

/** Aramaic (ܐܪܡܝܐ) */
$specialPageAliases['arc'] = array(
	'MyLanguage' => array( 'ܠܫܢܐ_ܕܝܠܝ' ),
);

/** Egyptian Spoken Arabic (مصرى) */
$specialPageAliases['arz'] = array(
	'MyLanguage' => array( 'اللغة_بتاعتى' ),
);

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = array(
	'MyLanguage' => array( 'মোৰ_ভাষা' ),
);

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = array(
	'MyLanguage' => array( 'Bahasa_ulun' ),
);

/** Breton (brezhoneg) */
$specialPageAliases['br'] = array(
	'MyLanguage' => array( 'MaYezh' ),
);

/** буряад (буряад) */
$specialPageAliases['bxr'] = array(
	'MyLanguage' => array( 'Минии_хэлэн' ),
);

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = array(
	'MyLanguage' => array( '我其語言' ),
);

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = array(
	'MyLanguage' => array( 'Сан_мотт' ),
);

/** German (Deutsch) */
$specialPageAliases['de'] = array(
	'MyLanguage' => array( 'Meine_Sprache' ),
);

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = array(
	'MyLanguage' => array( 'ZıwaneMe' ),
);

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = array(
	'MyLanguage' => array( 'ΗΓλώσσαΜου' ),
);

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = array(
	'MyLanguage' => array( 'Mia_lingvo' ),
);

/** Spanish (español) */
$specialPageAliases['es'] = array(
	'MyLanguage' => array( 'MiIdioma', 'Mi_idioma' ),
);

/** Persian (فارسی) */
$specialPageAliases['fa'] = array(
	'MyLanguage' => array( 'زبان‌های_من' ),
);

/** Finnish (suomi) */
$specialPageAliases['fi'] = array(
	'MyLanguage' => array( 'Oma_kieli' ),
);

/** French (français) */
$specialPageAliases['fr'] = array(
	'MyLanguage' => array( 'MaLangue', 'Ma_langue' ),
);

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = array(
	'MyLanguage' => array( 'Myyni_Sprooch' ),
);

/** Hebrew (עברית) */
$specialPageAliases['he'] = array(
	'MyLanguage' => array( 'השפה_שלי' ),
);

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = array(
	'MyLanguage' => array( 'Moja_rěč' ),
);

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = array(
	'MyLanguage' => array( 'LangMwen' ),
);

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = array(
	'MyLanguage' => array( 'Mi_lingua' ),
);

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = array(
	'MyLanguage' => array( 'Bahasa_saya' ),
);

/** Italian (italiano) */
$specialPageAliases['it'] = array(
	'MyLanguage' => array( 'MiaLingua' ),
);

/** Japanese (日本語) */
$specialPageAliases['ja'] = array(
	'MyLanguage' => array( '自分の言語' ),
);

/** Georgian (ქართული) */
$specialPageAliases['ka'] = array(
	'MyLanguage' => array( 'ჩემი_ენა' ),
);

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = array(
	'MyLanguage' => array( 'ភាសារបស់ខ្ញុំ' ),
);

/** Korean (한국어) */
$specialPageAliases['ko'] = array(
	'MyLanguage' => array( '내언어' ),
);

/** Karachay-Balkar (къарачай-малкъар) */
$specialPageAliases['krc'] = array(
	'MyLanguage' => array( 'Мени_тилим' ),
);

/** Kurdish (Latin script) (Kurdî (latînî)‎) */
$specialPageAliases['ku-latn'] = array(
	'MyLanguage' => array( 'Zimanê_Min' ),
);

/** Cornish (kernowek) */
$specialPageAliases['kw'] = array(
	'MyLanguage' => array( 'OwYeth' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = array(
	'MyLanguage' => array( 'Meng_Sprooch' ),
);

/** Macedonian (македонски) */
$specialPageAliases['mk'] = array(
	'MyLanguage' => array( 'МојЈазик' ),
);

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = array(
	'MyLanguage' => array( 'എന്റെഭാഷ' ),
);

/** Marathi (मराठी) */
$specialPageAliases['mr'] = array(
	'MyLanguage' => array( 'माझीभाषा' ),
);

/** Erzya (эрзянь) */
$specialPageAliases['myv'] = array(
	'MyLanguage' => array( 'Келем' ),
);

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = array(
	'MyLanguage' => array( 'Mitt_språk' ),
);

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = array(
	'MyLanguage' => array( 'Mien_taal' ),
);

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = array(
	'MyLanguage' => array( 'MijnTaal' ),
);

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = array(
	'MyLanguage' => array( 'Språket_mitt' ),
);

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = array(
	'MyLanguage' => array( 'ਮੇਰੀ_ਭਾਸ਼ਾ', 'ਮੇਰੀ_ਬੋਲੀ' ),
);

/** Polish (polski) */
$specialPageAliases['pl'] = array(
	'MyLanguage' => array( 'Mój_język' ),
);

/** Quechua (Runa Simi) */
$specialPageAliases['qu'] = array(
	'MyLanguage' => array( 'Rimayniy' ),
);

/** Russian (русский) */
$specialPageAliases['ru'] = array(
	'MyLanguage' => array( 'Мой_язык' ),
);

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = array(
	'MyLanguage' => array( 'MiaLingua' ),
);

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$specialPageAliases['sr-ec'] = array(
	'MyLanguage' => array( 'Мој_језик' ),
);

/** Swedish (svenska) */
$specialPageAliases['sv'] = array(
	'MyLanguage' => array( 'Mitt_språk' ),
);

/** Thai (ไทย) */
$specialPageAliases['th'] = array(
	'MyLanguage' => array( 'ภาษาของฉัน' ),
);

/** толышә зывон (толышә зывон) */
$specialPageAliases['tly'] = array(
	'MyLanguage' => array( 'Чымы_зывон' ),
);

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = array(
	'MyLanguage' => array( 'Dilim', 'BenimDilim' ),
);

/** Tatar (Cyrillic script) (татарча) */
$specialPageAliases['tt-cyrl'] = array(
	'MyLanguage' => array( 'Телем' ),
);

/** Tuvinian (тыва дыл) */
$specialPageAliases['tyv'] = array(
	'MyLanguage' => array( 'Дылым' ),
);

/** Ukrainian (українська) */
$specialPageAliases['uk'] = array(
	'MyLanguage' => array( 'Моя_мова' ),
);

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = array(
	'MyLanguage' => array( 'Ngôn_ngữ_tôi' ),
);

/** Cantonese (粵語) */
$specialPageAliases['yue'] = array(
	'MyLanguage' => array( '我個話' ),
);

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = array(
	'MyLanguage' => array( '我的语言' ),
);

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = array(
	'MyLanguage' => array( '我的語言' ),
);
